Index: uspace/srv/fs/udf/udf_ops.c
===================================================================
--- uspace/srv/fs/udf/udf_ops.c	(revision 38d150e6238ab44c861f6486e46454e07caeb0f0)
+++ uspace/srv/fs/udf/udf_ops.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -68,9 +68,9 @@
 static LIST_INITIALIZE(ffn_list);
 
-static int udf_node_get(fs_node_t **rfn, service_id_t service_id,
+static errno_t udf_node_get(fs_node_t **rfn, service_id_t service_id,
     fs_index_t index)
 {
 	udf_instance_t *instance;
-	int rc = fs_instance_get(service_id, (void **) &instance);
+	errno_t rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -94,8 +94,8 @@
 }
 
-static int udf_root_get(fs_node_t **rfn, service_id_t service_id)
+static errno_t udf_root_get(fs_node_t **rfn, service_id_t service_id)
 {
 	udf_instance_t *instance;
-	int rc = fs_instance_get(service_id, (void **) &instance);
+	errno_t rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -114,5 +114,5 @@
 }
 
-static int udf_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
+static errno_t udf_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
 {
 	char *name = malloc(MAX_FILE_NAME_LEN + 1);
@@ -132,5 +132,5 @@
 		
 		if (str_casecmp(name, component) == 0) {
-			int rc = udf_node_get(rfn, udf_service_get(pfn),
+			errno_t rc = udf_node_get(rfn, udf_service_get(pfn),
 			    udf_long_ad_to_pos(UDF_NODE(pfn)->instance, &long_ad));
 			
@@ -143,5 +143,5 @@
 		
 		if (block != NULL) {
-			int rc = block_put(block);
+			errno_t rc = block_put(block);
 			if (rc != EOK)
 				return rc;
@@ -155,10 +155,10 @@
 }
 
-static int udf_node_open(fs_node_t *fn)
-{
-	return EOK;
-}
-
-static int udf_node_put(fs_node_t *fn)
+static errno_t udf_node_open(fs_node_t *fn)
+{
+	return EOK;
+}
+
+static errno_t udf_node_put(fs_node_t *fn)
 {
 	udf_node_t *node = UDF_NODE(fn);
@@ -177,25 +177,25 @@
 }
 
-static int udf_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
-{
-	return ENOTSUP;
-}
-
-static int udf_destroy_node(fs_node_t *fn)
-{
-	return ENOTSUP;
-}
-
-static int udf_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
-{
-	return ENOTSUP;
-}
-
-static int udf_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
-{
-	return ENOTSUP;
-}
-
-static int udf_has_children(bool *has_children, fs_node_t *fn)
+static errno_t udf_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
+{
+	return ENOTSUP;
+}
+
+static errno_t udf_destroy_node(fs_node_t *fn)
+{
+	return ENOTSUP;
+}
+
+static errno_t udf_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
+{
+	return ENOTSUP;
+}
+
+static errno_t udf_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+{
+	return ENOTSUP;
+}
+
+static errno_t udf_has_children(bool *has_children, fs_node_t *fn)
 {
 	*has_children = true;
@@ -248,8 +248,8 @@
 }
 
-static int udf_size_block(service_id_t service_id, uint32_t *size)
+static errno_t udf_size_block(service_id_t service_id, uint32_t *size)
 {
 	udf_instance_t *instance;
-	int rc = fs_instance_get(service_id, (void **) &instance);
+	errno_t rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -263,5 +263,5 @@
 }
 
-static int udf_total_block_count(service_id_t service_id, uint64_t *count)
+static errno_t udf_total_block_count(service_id_t service_id, uint64_t *count)
 {
 	*count = 0;
@@ -270,5 +270,5 @@
 }
 
-static int udf_free_block_count(service_id_t service_id, uint64_t *count)
+static errno_t udf_free_block_count(service_id_t service_id, uint64_t *count)
 {
 	*count = 0;
@@ -299,10 +299,10 @@
 };
 
-static int udf_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
-{
-	return ENOTSUP;
-}
-
-static int udf_mounted(service_id_t service_id, const char *opts,
+static errno_t udf_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
+{
+	return ENOTSUP;
+}
+
+static errno_t udf_mounted(service_id_t service_id, const char *opts,
     fs_index_t *index, aoff64_t *size)
 {
@@ -330,5 +330,5 @@
 	
 	/* initialize block cache */
-	int rc = block_init(service_id, MAX_SIZE);
+	errno_t rc = block_init(service_id, MAX_SIZE);
 	if (rc != EOK)
 		return rc;
@@ -415,8 +415,8 @@
 }
 
-static int udf_unmounted(service_id_t service_id)
+static errno_t udf_unmounted(service_id_t service_id)
 {
 	fs_node_t *fn;
-	int rc = udf_root_get(&fn, service_id);
+	errno_t rc = udf_root_get(&fn, service_id);
 	if (rc != EOK)
 		return rc;
@@ -449,9 +449,9 @@
 }
 
-static int udf_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static errno_t udf_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *rbytes)
 {
 	udf_instance_t *instance;
-	int rc = fs_instance_get(service_id, (void **) &instance);
+	errno_t rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -523,15 +523,15 @@
 }
 
-static int udf_close(service_id_t service_id, fs_index_t index)
-{
-	return EOK;
-}
-
-static int udf_sync(service_id_t service_id, fs_index_t index)
-{
-	return ENOTSUP;
-}
-
-static int udf_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static errno_t udf_close(service_id_t service_id, fs_index_t index)
+{
+	return EOK;
+}
+
+static errno_t udf_sync(service_id_t service_id, fs_index_t index)
+{
+	return ENOTSUP;
+}
+
+static errno_t udf_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *wbytes, aoff64_t *nsize)
 {
@@ -539,5 +539,5 @@
 }
 
-static int udf_truncate(service_id_t service_id, fs_index_t index,
+static errno_t udf_truncate(service_id_t service_id, fs_index_t index,
     aoff64_t size)
 {
@@ -545,5 +545,5 @@
 }
 
-static int udf_destroy(service_id_t service_id, fs_index_t index)
+static errno_t udf_destroy(service_id_t service_id, fs_index_t index)
 {
 	return ENOTSUP;
